export { initializers_set };
export { initializers_get };
export { initializers_remove };
export { setPageContext };
export { getPageContext };
export { getReactStoreContext };
import { createContext } from 'react';
import { getGlobalObject } from '../utils.js';
const globalObject = getGlobalObject('VikeReactZustandContext.ts', {
    reactStoreContext: createContext({}),
    initializers: {},
    pageContextCurrent: null
});
function setPageContext(pageContext) {
    globalObject.pageContextCurrent = pageContext;
}
function getPageContext() {
    return globalObject.pageContextCurrent;
}
const getReactStoreContext = () => globalObject.reactStoreContext;
function initializers_set(key, initializer) {
    // useMemo will notice the change because we create a new object
    globalObject.initializers = {
        ...globalObject.initializers,
        [key]: initializer
    };
}
function initializers_remove(key) {
    delete globalObject.initializers[key];
}
function initializers_get() {
    return globalObject.initializers;
}
